﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public static class SonarSpawner { 
	public static GameObject m_LargePulse;
	public static GameObject m_SmallPulse;
 
	private static ParticleSystem m_LargeParticle;
	private static ParticleSystem m_SmallParticle;

	private static Transform m_LargeTransform;
	private static Transform m_SmallTransform;
 
	public static void Initialise(){ 
		m_LargePulse = GameObject.Instantiate (m_LargePulse);
		m_SmallPulse = GameObject.Instantiate (m_SmallPulse);
 
		m_LargeParticle = m_LargePulse.GetComponent<ParticleSystem>();
		m_LargeTransform = m_LargePulse.GetComponent<Transform> ();
 
		m_SmallParticle = m_SmallPulse.GetComponent<ParticleSystem>();
		m_SmallTransform = m_SmallPulse.GetComponent<Transform> (); 

		// Greate a list of spawner components to be used 
	}

	public static void SpawnLargeParticles(Vector3 location, int count){   
		m_LargeTransform.position = location;
		m_LargeParticle.Emit (count);  
	}
 
	public static void SpawnSmallParticles(Vector3 location, int count){  
		m_SmallTransform.position = location;
		m_SmallParticle.Emit (count); 
	}
}
